Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 156680 - CAN-2005-1368 key lookup race DoS
Summary: CAN-2005-1368 key lookup race DoS
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: kernel
Version: 3
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Dave Jones
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-03 11:32 UTC by Mark J. Cox
Modified: 2015-01-04 22:19 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-09-28 08:08:09 UTC


Attachments (Terms of Use)

Description Mark J. Cox 2005-05-03 11:32:50 UTC
The key_user_lookup function in security/keys/key.c in Linux kernel
        2.6 before 2.6.11.8 may allow attackers to cause a denial of service
        (oops) via SMP

        fixed=2.6 (20050503 cset@423078fafVa6mAyny23YZ87hDipmTw)
        (this was new in 2.6.10)

http://linux.bkbits.net:8080/linux-2.6/cset%40423078fafVa6mAyny23YZ87hDipmTw

Comment 1 Dave Jones 2005-07-15 18:35:57 UTC
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.


Note You need to log in before you can comment on or make changes to this bug.